Skip to main content
GET
/
accounts
/
{account_id}
/
funding-sources
List funding sources for an account
curl --request GET \
  --url https://service.bluumfinance.com/v1/accounts/{account_id}/funding-sources \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": "success",
  "data": {
    "items": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "itemId": "item_abc123",
        "institutionId": "ins_123456",
        "institutionName": "Chase Bank",
        "status": "ACTIVE",
        "accounts": [
          {
            "id": "234f5678-f9ac-23e4-b567-537725285115",
            "accountId": "acc_1234567890",
            "accountName": "Checking Account",
            "accountType": "depository",
            "accountSubtype": "checking",
            "mask": "0000"
          }
        ],
        "createdAt": "2026-01-22T10:30:00Z",
        "updatedAt": "2026-01-22T10:30:00Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required

Account ID

Query Parameters

type
enum<string>
default:all

Filter funding sources by provider type. Defaults to 'all' which returns all connected sources.

Available options:
plaid,
all

Response

Funding sources retrieved successfully

status
string
Example:

"success"

data
object